发布时间 :2001-07-02 00:00:00
修订时间 :2008-09-10 15:09:38

[原文]Cross-site scripting vulnerability in Allaire JRun 3.0 and 2.3.3 allows a malicious webmaster to embed Javascript in a request for a .JSP, .shtml, .jsp10, .jrun, or .thtml file that does not exist, which causes the Javascript to be inserted into an error message.

[CNNVD]Allaire Jrun跨站脚本漏洞(CNNVD-200107-016)

        Allaire JRun 3.0和2.3.3版本存在跨站脚本漏洞。恶意网络管理员将Javascript插入到不存在的.JSP,.shtml,.jsp10,.jrun,或者.thtml文件请求中,该漏洞导致Javascript插入到出错消息中。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:macromedia:jrun:2.3.3Macromedia JRun 2.3.3
cpe:/a:macromedia:jrun:3.0Macromedia JRun 3.0

- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(UNKNOWN)  XF  java-servlet-crosssite-scripting(6793)
(UNKNOWN)  BUGTRAQ  20010702 Multiple Vendor Java Servlet Container Cross-Site Scripting Vulnerability

- 漏洞信息

Allaire Jrun跨站脚本漏洞
高危 跨站脚本
2001-07-02 00:00:00 2006-11-14 00:00:00
        Allaire JRun 3.0和2.3.3版本存在跨站脚本漏洞。恶意网络管理员将Javascript插入到不存在的.JSP,.shtml,.jsp10,.jrun,或者.thtml文件请求中,该漏洞导致Javascript插入到出错消息中。

- 公告与补丁


- 漏洞信息

Allaire JRun Java Servlet Error Page XSS
Remote / Network Access Input Manipulation
Loss of Integrity Patch / RCS
Exploit Public Vendor Verified, Third-party Verified

- 漏洞描述

Allaire JRun contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate user input upon submission to the Java Servlet which is in turn passed to the error handler. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2001-07-02 2001-06-02
2001-06-28 2001-06-28

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, Macromedia has released a patch to address this vulnerability.

- 相关参考

- 漏洞作者

Unknown or Incomplete